Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232623 - Review Request: perl-HTML-CalendarMonthSimple - Perl Module for Generating HTML Calendars
Summary: Review Request: perl-HTML-CalendarMonthSimple - Perl Module for Generating HT...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 13:38 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-24 23:20:10 UTC
cweyl: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-16 13:38:43 UTC
Spec URL: http://home.bawue.de/~ixs/perl-HTML-CalendarMonthSimple/perl-HTML-CalendarMonthSimple.spec
SRPM URL: http://home.bawue.de/~ixs/perl-HTML-CalendarMonthSimple/HTML-CalendarMonthSimple-1.25.tar.gz
Description:
HTML::CalendarMonthSimple is a Perl module for generating, manipulating,
and printing a HTML calendar grid for a specified month. It is intended as
a faster and easier-to-use alternative to HTML::CalendarMonth.


Please note that the License tag says "Public Domain" even though the included README says "Freeware":
"This Perl module is freeware. It may be copied, derived, used, and distributed without limitation."

My reading of this definition is that the software is "Public Domain" rather then "Freeware".

Comment 1 Chris Weyl 2007-04-22 03:14:27 UTC
Missing a BR on perl(Date::Calc).  


+ source files match upstream:
 2f9fcad2627890cc11ab5c3cd3c986cf  HTML-CalendarMonthSimple-1.25.tar.gz
 2f9fcad2627890cc11ab5c3cd3c986cf  ../HTML-CalendarMonthSimple-1.25.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text included in package. (Entire license grant is in README & CalendarMonthSimple.pm)
+ latest version is being packaged.
X BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
O noarch -- no debuginfo package 
+ rpmlint is silent.
+ final provides and requires are sane:
** perl-HTML-CalendarMonthSimple-1.25-1.fc6.noarch.rpm
== rpmlint
== provides
perl(HTML::CalendarMonthSimple)  
perl-HTML-CalendarMonthSimple = 1.25-1.fc6
== requires
perl(:MODULE_COMPAT_5.8.8)  
perl(Date::Calc)  
perl(strict)  
+ %check is present and all tests pass
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

Add perl(Date::Calc) -- post-import -- and the package is:

APPROVED

Comment 2 Andreas Thienemann 2007-04-26 08:23:42 UTC
New Package CVS Request
=======================
Package Name: perl-HTML-CalendarMonthSimple
Short Description: Perl Module for generating HTML Calendard
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com


Comment 3 Chris Weyl 2007-05-17 06:41:57 UTC
ping?  I'm assuming this bug is closable now...?

Comment 4 Chris Weyl 2007-07-24 23:20:10 UTC
Closing for the reporter.

Comment 5 Andreas Thienemann 2007-07-24 23:30:11 UTC
Thanks. Missed the ping in all the bugzilla mail or so. :/

Comment 6 Chris Weyl 2007-07-24 23:32:57 UTC
Not a problem -- just wanted to get it off my frontpage ;)


Note You need to log in before you can comment on or make changes to this bug.